# animate-semi-inf-c1.gnu    2004-02-05
# animation of transient temp in semi-infinite medium
# with T specified boundary condition (case 1)
#
# define Gaussian Error Functions
load "erf1.gnu"
###########################################################
# set sample conditions
T_s = 1700.0
rho = 2645.0
k = 1.5
cp = 960.0
#
T_i = 900.0
#
alpha = k/(rho*cp)
#
theta(x,t) = erf1(  x /(2.*sqrt(alpha*t)))
#
temp(x,t) = theta(x,t)*(T_i - T_s) + T_s
#
set title "Temperature: Semi-infinite medium with T_s specified"
set key 0.04,1500
set xlabel "x distance [m]"
set xrange [0:0.05]
set xtics nomirror
set ylabel "Temperature [K]"
set yrange [800:1800]
set ytics nomirror
#
set x2range [0.0:300]
set x2label "Elapsed time [s]"
set y2range [0:1]
set x2tics nomirror
set noy2tics
#
hbar(x)=0.97
x_lft_et = 0.0
p_elapsed_time(x,t) = (( x_lft_et < x)&&(x<= t )) ? ( hbar(x) ):sqrt(-1)
#
t=0
#-time step------#
dtime = 0.5
#----------------#
#
set sample 1000
set dummy x
#
set nolabel
set label 1 "T_i = 900 [K]" at 0.035,1300
set label 2 "T_s = 1700 [K]" at 0.035,1250
set label 3 "dtime = 0.5 [s]" at 0.035,1200
set label 4 "alpha= 5.907E-07" at 0.035,1150
#
plot T_i w lines lt 4 lw 2, temp(x,t) with lines lt 3 lw 3, \
     p_elapsed_time(x,t) axes x2y2  title "Elapsed time" with lines lt 1 lw 8
#
#
limit_iterations=599 # limits number of iterations if nonzero
#
if (!limit_iterations) print "Stop the following animation with ctrl-c"

pause -1 "Press a key to start the animation..."

iteration_count=0
load "do-time-step.gnu"
