# animate-wall-ex5p4.gnu    2004-02-05
# animation of transient temp in plane wall
# Biot = 0.313  (similar to I&DW Example 5.4)
# one term approximation
###########################################################
# set sample conditions
rho = 7823.0
k = 63.9
cp = 434.0
L = 0.040
#
T_inf = 60.0
h_inf = 500.0
#
T_i = -20.0
#
Bi = h_inf*L/k
##For Bi=0.313
C_1 = 1.047
zeta_1 = 0.531
#
alpha = k/(rho*cp)
#
Fo(t) = alpha*t/(L**2)
#
theta(x,t) = C_1 * exp ( - ((zeta_1)**2) * Fo(t) )* cos( (zeta_1)*(x/L))
#
temp(x,t) = theta(x,t)*(T_i - T_inf) + T_inf
#
set title "Temperature: Plane Wall with Bi = 0.313 "
set key 0.03,15
set xlabel "x distance [m]"
set xrange [0:L]
set xtics nomirror
set ylabel "Temperature [deg C]"
set yrange [-25:60]
set ytics nomirror -25.0,5.0,60.
set mytics 5
#
set x2range [0.0:480]
set x2label "Elapsed time [s]"
set y2range [0:1]
set x2tics  nomirror 0.0,60.,480.
set noy2tics
#
hbar(x)=0.97
x_lft_et = 0.0
p_elapsed_time(x,t) = (( x_lft_et < x)&&(x<= t )) ? ( hbar(x) ):sqrt(-1)
#
t=0
#-time step------#
dtime = 2
#----------------#
#
set sample 1000
set dummy x
#
set nolabel
set label 1 "T_i = -20 [deg C]" at 0.03,0
set label 2 "h_inf = 500 [W/m**2 K]" at 0.03,-3
set label 3 "T_inf = 60  [deg C]" at 0.03,-6
set label 4 "dtime = 2  [s]" at 0.03,-9
#
plot T_i w lines lt 4 lw 2, temp(x,t) with lines lt 3 lw 3, \
     p_elapsed_time(x,t) axes x2y2  title "Elapsed time" with lines lt 1 lw 8
#
#
limit_iterations=239 # limits number of iterations if nonzero
#
if (!limit_iterations) print "Stop the following animation with ctrl-c"

pause -1 "Press a key to start the animation..."

iteration_count=0
load "do-time-step.gnu"
