###########################################################
# define Gaussian Error Functions based on approximate functions
# from Abramowitz and Stegun.
#
p  = 0.47047
a1 = 0.3480242
a2 = -0.0958798
a3 = 0.7478556
tt(w)  = 1.0 /(1.0 + p*w)
erf1(w) = 1.0 - ( a1*tt(w) + a2*(tt(w)**2) + a3*(tt(w)**3) )*exp(-w**2)
#
erfc1(w) = 1. - erf1(w)
#
###########################################################
